Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1412207 - middle click paste (PRIMARY) doesn't work in wayland
Summary: middle click paste (PRIMARY) doesn't work in wayland
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk4
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Popela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 14:19 UTC by Pierre Ossman
Modified: 2017-02-18 15:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-12 00:32:20 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
WebKit Project 166949 0 None None None 2017-01-12 00:32:20 UTC

Description Pierre Ossman 2017-01-11 14:19:55 UTC
As the subject states, you cannot paste things using middle-click in Epiphany under Wayland. Other applications work fine, as does the normal clipboard (Ctrl-v).

Comment 1 Michael Catanzaro 2017-01-11 22:36:49 UTC
TBH I put a boolean somewhere that says Wayland doesn't support middle-click paste, from two years ago when it really didn't. Could try figuring out where that is, changing it and see if it just works....

Comment 2 Michael Catanzaro 2017-01-12 00:28:03 UTC
(In reply to Michael Catanzaro from comment #1)
> TBH I put a boolean somewhere that says Wayland doesn't support middle-click
> paste

Or maybe I'm misremembering. I can't find it.

Comment 3 Michael Catanzaro 2017-01-12 00:29:46 UTC
Note: it seems that primary selection is half-supported. You can paste out (i.e. WebKit does update the selection clipboard when you select text) but you cannot paste into WebKit using middle-click.

Comment 4 Michael Catanzaro 2017-02-18 00:28:36 UTC
(In reply to Michael Catanzaro from comment #1)
> TBH I put a boolean somewhere that says Wayland doesn't support middle-click
> paste, from two years ago when it really didn't. Could try figuring out
> where that is, changing it and see if it just works....

I stumbled across the code today by chance. Posted a patch in the upstream bug.

Comment 5 Michael Catanzaro 2017-02-18 15:14:12 UTC
Fixed upstream, thanks for reporting!


Note You need to log in before you can comment on or make changes to this bug.